Bug 690052 - inferno device segfaulted with attachment 3609 [details]
Summary: inferno device segfaulted with attachment 3609
Status: RESOLVED FIXED
Alias: None
Product: Ghostscript
Classification: Unclassified
Component: Other Driver (show other bugs)
Version: master
Hardware: PC Linux
: P4 normal
Assignee: Ray Johnston
QA Contact: Bug traffic
URL:
Keywords: bountiable
Depends on:
Blocks:
 
Reported: 2008-09-02 17:01 UTC by Hin-Tak Leung
Modified: 2009-01-18 11:59 UTC (History)
1 user (show)

See Also:
Customer:
Word Size: ---


Attachments
Patch (449 bytes, patch)
2009-01-03 18:23 UTC, wendyst2
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hin-Tak Leung 2008-09-02 17:01:11 UTC
side effect of looking into bug 689595 - attachment 3609 [details] causes ghostscript 8.62
and head (svn 9061) to segfault with this:

bin/gs -dBATCH -dPARANOIDSAFER -dNOPAUSE -sDEVICE=inferno \
-sOutputFile=/tmp/out attachment3609 [details]

Seems to crash somewhere in gs_setdevice_no_init() with heap problem.
Comment 1 wendyst2 2009-01-03 18:23:23 UTC
Created attachment 4675 [details]
Patch

Attached please find a patch for this bug. The gs_inferno_device() function
passed the wrong device type structure originally, and caused the params_size
member of the structure to be incorrect, hence insufficient memory allocated
and overrun.
Comment 2 Hin-Tak Leung 2009-01-13 14:46:28 UTC
Looked at the patch and tested it; I believe it is the right fix. Please commit
and close.
Comment 3 Ray Johnston 2009-01-14 12:07:07 UTC
I concur. Please commit and close.
Comment 4 Alex Cherepanov 2009-01-18 11:59:26 UTC
The patch is committed as a rev. 9372.
This device is not covered by regression testing.